package com.oqpo.api.mapper.system;

import com.oqpo.api.entity.ActionEntity;
import com.oqpo.api.entity.oper.MemberEntity;
import com.oqpo.api.web.dto.request.GridRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ActionMapper {


    List<ActionEntity> selectUserActionList(MemberEntity memberEntity) throws Exception;
    List<ActionEntity> selectActionList(@Param("userId") String userId) throws Exception;
    List<ActionEntity> selectActionBtnList(@Param("menuNo") int menuNo);

    int insertActInfo(@Param("userId") String userId, List<ActionEntity> gridInsertData) throws Exception;
    int updateActInfo(@Param("userId") String userId, List<ActionEntity> gridUpdateData) throws Exception;
    int deleteActInfo(@Param("menuNo") Integer menuNo, List<ActionEntity> gridDeleteData) throws Exception;

    List<ActionEntity> selectActionGridList(@Param("menuNo") Integer menuNo, GridRequest gridRequest) throws Exception;
    int selectActionDtlGridListCnt(@Param("menuNo") Integer menuNo) throws Exception;

}
